@echo off
title %~nx0
set local
cls

:START
    echo.
    echo                   Copyright -- Matthew Shillam -- 2018
    echo.
    echo ---------------------------------------------------------------------------
    echo                 %date% %time% - Install started
    echo ---------------------------------------------------------------------------
    echo.

start /wait 7z.exe a archived_files.7z .\duplicati_install_script\* -r -x!*.git -x!.git -x!.DS_Store -x!Icon -x!Thumbs.db

echo.
echo Archived all files now creating the installer....
echo.
copy /b 7zSD.sfx + config.txt + archived_files.7z Duplicati_installer_v0.1.exe
echo.
echo All done!

cmd /k